Subject: Re: git pull works remotely but not locally

From: Ivan Uemlianin <[email-masked]>
Date: Thu, 27 May 2010 17:21:50 +0100

On 27/05/2010 16:38, Jeff King wrote:
> Then the next thing to try is probably (assuming you are running Linux):
>    
Well, kind of: it's CentOS, which I'm finding quite recalcitrant (e.g. I 
had to install strace).
>    strace -f -e execve git pull
>
> Though I suspect we may just see:
>
>    execve("/opt/libexec/git-core/git-core/git-pull", ...) = -1 EACCES (Permission denied)
>
> which doesn't help much. I just want to be sure that is the source of
> the problem.
>    
No, the output is interesting.  The permissions denied is from the 
erroneous /root install (see separate email):

     [pid  3485] execve("/root/libexec/git-core/git-pull", ["git-pull"], 
[/* 18 vars */]) = -1 EACCES (Permission denied)

It looks in /opt/bin, but not /opt/libexec.

It could be a botched git install or it could be a botched PATH --- I 
have had to fiddle about with it a bit.  For example, /opt/libexec is 
not on my PATH  ...  In fact my PATH *is* botched:

     $ $PATH
     bash: /opt/bin:<snip/>:/usr/bin:/root/bin: No such file or directory

Those last two items don't look good at all.  And:

     $ PATH=/opt/libexec/git-core/:$PATH
     $ git pull
     remote: Counting objects: 8, done.
     ...
      1 files changed, 2 insertions(+), 1 deletions(-)

Working!

So:
- git itself is probably OK
- I have a botched PATH, which I should fix asap

Does git expect certain paths to be on a user's PATH?  If so perhaps 
that is all that is wrong.

Best wishes

Ivan

-- 
============================================================
Ivan A. Uemlianin
Speech Technology Research and Development

                     [email-masked]
                      www.llaisdy.com
                          llaisdy.wordpress.com
                      www.linkedin.com/in/ivanuemlianin

     "Froh, froh! Wie seine Sonnen, seine Sonnen fliegen"
                      (Schiller, Beethoven)
============================================================